## EmpathyAccountManager

EmpathyAccountManager

## Synopsis

                        EmpathyAccountManager;
    EmpathyAccountManager * empathy_account_manager_dup_singleton
                                                            (void);
    int                 empathy_account_manager_get_connected_accounts
                                                            (EmpathyAccountManager *manager);
    int                 empathy_account_manager_get_connecting_accounts
                                                            (EmpathyAccountManager *manager);
    gboolean            empathy_account_manager_is_account_just_connected
                                                            (EmpathyAccountManager *manager,
                                                             McAccount *account);
    int                 empathy_account_manager_get_count   (EmpathyAccountManager *manager);

## Object Hierarchy

      GObject
       +----EmpathyAccountManager

## Signals

      "account-changed"                                : Run Last
      "account-connection-changed"                     : Run Last
      "account-created"                                : Run Last
      "account-deleted"                                : Run Last
      "account-disabled"                               : Run Last
      "account-enabled"                                : Run Last
      "account-presence-changed"                       : Run Last

## Description

## Details

### EmpathyAccountManager

    typedef struct _EmpathyAccountManager EmpathyAccountManager;

### empathy_account_manager_dup_singleton ()

    EmpathyAccountManager * empathy_account_manager_dup_singleton
                                                            (void);

Returns : |

### empathy_account_manager_get_connected_accounts ()

    int                 empathy_account_manager_get_connected_accounts
                                                            (EmpathyAccountManager *manager);

`manager` : |
Returns : |

### empathy_account_manager_get_connecting_accounts ()

    int                 empathy_account_manager_get_connecting_accounts
                                                            (EmpathyAccountManager *manager);

`manager` : |
Returns : |

### empathy_account_manager_is_account_just_connected ()

    gboolean            empathy_account_manager_is_account_just_connected
                                                            (EmpathyAccountManager *manager,
                                                             McAccount *account);

`manager` : |
`account` : |
Returns : |

### empathy_account_manager_get_count ()

    int                 empathy_account_manager_get_count   (EmpathyAccountManager *manager);

Get the number of accounts.

`manager` : | a EmpathyAccountManager
Returns : | the number of accounts.

## Signal Details

### The `"account-changed"` signal

    void                user_function                      (EmpathyAccountManager *empathyaccountmanager,
                                                            McAccount             *arg1,
                                                            gpointer               user_data)                  : Run Last

`empathyaccountmanager` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.

### The `"account-connection-changed"` signal

    void                user_function                      (EmpathyAccountManager *empathyaccountmanager,
                                                            McAccount             *arg1,
                                                            gint                   arg2,
                                                            guint                  arg3,
                                                            guint                  arg4,
                                                            gpointer               user_data)                  : Run Last

`empathyaccountmanager` : | the object which received the signal.
`arg1` : |
`arg2` : |
`arg3` : |
`arg4` : |
`user_data` : | user data set when the signal handler was connected.

### The `"account-created"` signal

    void                user_function                      (EmpathyAccountManager *empathyaccountmanager,
                                                            McAccount             *arg1,
                                                            gpointer               user_data)                  : Run Last

`empathyaccountmanager` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.

### The `"account-deleted"` signal

    void                user_function                      (EmpathyAccountManager *empathyaccountmanager,
                                                            McAccount             *arg1,
                                                            gpointer               user_data)                  : Run Last

`empathyaccountmanager` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.

### The `"account-disabled"` signal

    void                user_function                      (EmpathyAccountManager *empathyaccountmanager,
                                                            McAccount             *arg1,
                                                            gpointer               user_data)                  : Run Last

`empathyaccountmanager` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.

### The `"account-enabled"` signal

    void                user_function                      (EmpathyAccountManager *empathyaccountmanager,
                                                            McAccount             *arg1,
                                                            gpointer               user_data)                  : Run Last

`empathyaccountmanager` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.

### The `"account-presence-changed"` signal

    void                user_function                      (EmpathyAccountManager *empathyaccountmanager,
                                                            McAccount             *arg1,
                                                            gint                   arg2,
                                                            gint                   arg3,
                                                            gpointer               user_data)                  : Run Last

`empathyaccountmanager` : | the object which received the signal.
`arg1` : |
`arg2` : |
`arg3` : |
`user_data` : | user data set when the signal handler was connected.